﻿using System;
using System.ComponentModel.DataAnnotations;

namespace MvcValidation.Data
{
    public class Product
    {
        public int Id { get; set; }

        [StringLength(30)]
        [Required]
        public string Name { get; set; }

        [Display(Name = "Start Date")]
        [DisplayFormat(DataFormatString = "{0:d}", ApplyFormatInEditMode = true)]
        [CompareDates("EndDate", ErrorMessage = "Start date cannot be before end date")]
        public DateTime? BeginDate { get; set; }

        [Display(Name = "End Date")]
        [DisplayFormat(DataFormatString = "{0:d}", ApplyFormatInEditMode = true)]
        [CompareDates("BeginDate", ErrorMessage = "Start date cannot be before end date")]
        public DateTime? EndDate { get; set; }

        [Display(Name = "Min. Quantity")]
        [CompareNumbers("EndQuantity", ErrorMessage = "Min cannot be more than max")]
        public int BeginQuantity { get; set; }

        [Display(Name = "Max. Quantity")]
        [CompareNumbers("BeginQuantity", ErrorMessage = "Min cannot be more than max")]
        public int EndQuantity { get; set; }
    }
}